﻿@model ContosoUniversity.Models.ThongtinMe

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}
<head>
    <script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>
</head>
<h2>Tạo mới thông tin mẻ</h2>

<style>

    form-group {
        margin: auto;
    }

    .form-horizontal .form-group {
        margin-left: 0px;
    }

    fieldset {
        /*display: flow;*/
        display: flow-root;
        margin-top: 10px;
        margin-bottom: 10px;
        margin-inline-start: 5px;
        margin-inline-end: 5px;
        padding-block-start: 0.35em;
        padding-inline-start: 0.75em;
        padding-inline-end: 0.75em;
        padding-block-end: 0.625em;
        min-inline-size: min-content;
        border-width: 2px;
        border-style: groove;
        border-color: rgb(192, 192, 192);
        border-image: initial;
        border-radius: 10px;
    }

    label.control-label.required::after {
        content: " *";
        color: red;
        font-weight: bold;
        font-size: 130%;
    }

    legend {
        width: auto;
        margin-bottom: auto;
        margin-right: 20px;
        border-bottom: none;
    }

    .minitotoggle {
        width: 180px;
        background-color: aqua;
        margin-bottom: 15px;
        margin-left: 20px;
    }

    @@media (min-width: 1250px) {
        .minitotoggle {
            margin-left: 203px;
        }
    }

    .text-toggle[aria-expanded=false] .text-expanded {
        display: none;
    }

    .text-toggle[aria-expanded=true] .text-collapsed {
        display: none;
    }
</style>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Quản Lý Mẻ</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.ThongTinMeID)


        <!-- Thông tin mẻ-->
        <fieldset class="border p-2">
            <legend data-toggle="collapse" id="p2" data-target="#thongtinme" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                <span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>
                Thông tin mẻ

            </legend>
            <div id="thongtinme" class="collapse in">

                <div class="form-group row">
                    <div class="col">
                        @*@Html.LabelFor(model => model.idMe, "ID của mẻ", htmlAttributes: new { @class = "control-label col-sm-1", style = "width: 12.499999995%" })*@
                        @Html.LabelFor(model => model.idMe, "ID của mẻ", htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-2">
                            @Html.EditorFor(model => model.ThongTinMeID, new { htmlAttributes = new { @class = "form-control", @style = " font-weight: bold; text-align:center;font-size: 130%;" } })
                            @Html.ValidationMessageFor(model => model.ThongTinMeID, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.dayTimeFrom, htmlAttributes: new { @class = "control-label col-md-2 required" })
                        <div class="col-sm-4">

                            @Html.EditorFor(model => model.dayTimeFrom, new { htmlAttributes = new { @class = "form-control", @required = "required", @placeholder = "21/06/2022 16:13" } })
                            @Html.ValidationMessageFor(model => model.dayTimeFrom, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.dayTimeTo, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.dayTimeTo, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.dayTimeTo, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                @*<div class="form-group row">
                        <div class="col">
                            @Html.LabelFor(model => model.CreateBy, "Người tạo", htmlAttributes: new { @class = "control-label col-md-2" })
                            <div class="col-sm-4">
                                @Html.EditorFor(model => model.CreateBy, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.CreateBy, "", new { @class = "text-danger" })
                            </div>
                        </div>
                        <div class="col">
                            @Html.LabelFor(model => model.CreateDate, "Thời gian tạo mẻ", htmlAttributes: new { @class = "control-label col-md-2" })
                            <div class="col-sm-4">
                                @Html.EditorFor(model => model.CreateDate, new { htmlAttributes = new { @readonly = "readonly", @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.CreateDate, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>*@



                @*<a class="btn btn-default text-toggle minitotoggle" data-toggle="collapse" data-target="#demo" aria-expanded="false">
                        <span class="text-collapsed">More info  <i class="fa-solid fa-circle-chevron-down"> </i></span>
                        <span class="text-expanded">Less info  <i class="fa-solid fa-circle-chevron-up"> </i></span>
                    </a>

                    <div id="demo" class="form-group row collapse">

                    </div>*@


            </div>
        </fieldset>

        <!-- Bể gom -->
        <fieldset class="border p-2">
            <legend data-toggle="collapse" data-target="#begom" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                <span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>
                Bể gom

            </legend>
            <div id="begom" class="collapse in">


                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.begomTimeBom, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.begomTimeBom, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.begomTimeBom, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.begomPh, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.begomPh, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.begomPh, "", new { @class = "text-danger" })
                        </div>
                    </div>

                </div>

                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.begomHoahocCod, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.begomHoahocCod, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.begomHoahocCod, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.begomHoahocTss, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.begomHoahocTss, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.begomHoahocTss, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.begomHoahocNt, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.begomHoahocNt, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.begomHoahocNt, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.begomHoahocP, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.begomHoahocP, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.begomHoahocP, "", new { @class = "text-danger" })
                        </div>
                    </div>

                </div>
            </div>
        </fieldset>
        <!-- Cyclo Trộn -->
        <fieldset class="border p-2">
            <legend data-toggle="false" data-target="#cyclotron" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                @*<span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>*@
                <span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>
                Cyclo trộn

            </legend>
            <div id="cyclotron" class="collapse in">
                <div class="form-group">
                    @Html.LabelFor(model => model.cyclotronTimeXaday, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-sm-4">
                        @Html.EditorFor(model => model.cyclotronTimeXaday, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.cyclotronTimeXaday, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </fieldset>

        <!-- Bể lắng -->
        <fieldset class="border p-2">
            <legend data-toggle="false" data-target="#belang" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                @*<span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>*@
                <span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>
                Bể lắng

            </legend>
            <div id="belang" class="collapse in">
                <div class="form-group">
                    @Html.LabelFor(model => model.belangTimeXaday, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-sm-4">
                        @Html.EditorFor(model => model.belangTimeXaday, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.belangTimeXaday, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
        </fieldset>

        <!-- Bơm hoá chất -->
        <fieldset class="border p-2">
            <legend data-toggle="false" data-target="#bomhoachat" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                @*<span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>*@
                <span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>
                Bơm hoá chất

            </legend>
            <div id="bomhoachat" class="collapse in">
                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.bomhoachatNongdo, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.bomhoachatNongdo, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.bomhoachatNongdo, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.bomhoachatTimeBom, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.bomhoachatTimeBom, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.bomhoachatTimeBom, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <!-- Bể điều hoà -->
        <fieldset class="border p-2">
            <legend data-toggle="collapse" data-target="#bedieuhoa" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                <span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>
                @*<span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>*@
                Bể điều hoà

            </legend>
            <div id="bedieuhoa" class="collapse in">
                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.bedieuhoaTimeBom, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.bedieuhoaTimeBom, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.bedieuhoaTimeBom, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.bedieuhoaTimeThoikhi, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.bedieuhoaTimeThoikhi, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.bedieuhoaTimeThoikhi, "", new { @class = "text-danger" })
                        </div>
                    </div>

                </div>
                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.bedieuhoaDo, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.bomhoachatNongdo, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.bomhoachatNongdo, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <!-- Bể SBR1 -->
        <fieldset class="border p-2">
            <legend data-toggle="collapse" data-target="#besbr1" class="float-none w-auto p-2 text-toggle " aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                <span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>
                Bể SBR1

            </legend>
            <div id="besbr1" class="collapse in">

                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1Ph, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1Ph, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1Ph, "", new { @class = "text-danger" })
                        </div>

                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1Do, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1Do, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1Do, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1Vl, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1Vl, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1Vl, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1HoahocCod, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1HoahocCod, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1HoahocCod, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1HoahocTss, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1HoahocTss, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1HoahocTss, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1HoahocNt, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1HoahocNt, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1HoahocNt, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr1HoahocP, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr1HoahocP, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1HoahocP, "", new { @class = "text-danger" })
                        </div>
                    </div>

                </div>

                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeLamday, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr1TimeLamday, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeLamday, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeXuly, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr1TimeXuly, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeXuly, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeLang, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr1TimeLang, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeLang, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeXa, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr1TimeXa, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeXa, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeCho, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr1TimeCho, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeCho, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr1TimeBombun, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr1TimeBombun, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr1TimeBombun, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <!-- Bể sbr2 -->
        <fieldset class="border p-2">
            <legend data-toggle="collapse" data-target="#besbr2" class="float-none w-auto p-2 text-toggle " aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                <span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>
                Bể sbr2

            </legend>
            <div id="besbr2" class="collapse in">

                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2Ph, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2Ph, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2Ph, "", new { @class = "text-danger" })
                        </div>

                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2Do, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2Do, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2Do, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2Vl, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2Vl, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2Vl, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2HoahocCod, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2HoahocCod, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2HoahocCod, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2HoahocTss, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2HoahocTss, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2HoahocTss, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2HoahocNt, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2HoahocNt, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2HoahocNt, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.besbr2HoahocP, htmlAttributes: new { @class = "control-label col-sm-1" })
                        <div class="col-sm-1">
                            @Html.EditorFor(model => model.besbr2HoahocP, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2HoahocP, "", new { @class = "text-danger" })
                        </div>
                    </div>

                </div>

                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeLamday, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr2TimeLamday, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeLamday, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeXuly, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr2TimeXuly, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeXuly, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeLang, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr2TimeLang, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeLang, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeXa, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr2TimeXa, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeXa, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>

                <div class="form-group row">

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeCho, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr2TimeCho, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeCho, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="col">
                        @Html.LabelFor(model => model.besbr2TimeBombun, htmlAttributes: new { @class = "control-label col-sm-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.besbr2TimeBombun, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.besbr2TimeBombun, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <!-- Máy ép bùn -->
        <fieldset class="border p-2">
            <legend data-toggle="false" data-target="#bomhoachat" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                @*<span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>*@
                <span class="text-expanded"> <i class="fa-solid fa-circle"></i></span>
                Máy ép bùn

            </legend>
            <div id="bomhoachat" class="collapse in">
                <div class="form-group row">
                    <div class="col">
                        @Html.LabelFor(model => model.mayepbunTimeHoatdong, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.mayepbunTimeHoatdong, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.mayepbunTimeHoatdong, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="col">
                        @Html.LabelFor(model => model.mayepbunKhoiluongbunkho, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-sm-4">
                            @Html.EditorFor(model => model.mayepbunKhoiluongbunkho, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.mayepbunKhoiluongbunkho, "", new { @class = "text-danger" })
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <div class="form-group">
            <div class="col-sm-2">
                <input type="button" value="Trở lại danh sách mẻ" class="btn btn-default" onclick="location.href='@Url.Action("Index", "ThongTinMes")'" />
            </div>
            <div class="col-sm-4">
                <input type="submit" value="Lưu mẻ vừa tạo" class="btn btn-primary btn-block" style="margin-left:14px;" />
            </div>
        </div>

    </div>

}


<script>

    const toggler = document.querySelectorAll('[data-toggle="collapse"]')
    var i;
    for (i = 0; i < toggler.length; i++) {
        toggler[i].addEventListener("click", function () {
            this.ariaExpanded = !JSON.parse(this.ariaExpanded);
        });
    }

</script>
